<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "bankrecp.php";
$tourcode = $_SESSION['tourcode'];
$tourcond = "AND tour = '$tourcode'";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    }elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `accode` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `accode` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `accode`";
}
    
 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


$query = "SELECT * FROM `bankrecp` WHERE vouchno != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'vouchno'      => $r['vouchno'],
                'party'      => $r['accode'],
                'action'    => "$file?mode=edit&vouchno=$r[vouchno]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
